## haskell-gtksourceview2 0.12.3.1

=== demo/Makefile ===

PROGS  = sourceview linenumber 
SOURCES = SourceView.hs LineNumber.hs

all : $(PROGS)

sourceview : SourceView.hs
	$(HC_RULE)

linenumber : LineNumber.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)

HC=ghc

## haskell-gtksourceview2 0.11.0

=== debian/changelog ===
haskell-gtksourceview2 (0.11.0-2) unstable; urgency=low

  * control: Remove -prof package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 20:14:28 -0300

haskell-gtksourceview2 (0.11.0-1) unstable; urgency=low

  * Initial release.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 16:49:41 -0300

=== debian/control ===
Source: haskell-gtksourceview2
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
#  , ghc6-prof
  , libghc6-mtl-dev
#  , libghc6-mtl-prof
  , libghc6-glib-dev (>= 0.11)
  , libghc6-glib-dev (<< 0.12)
#  , libghc6-glib-prof
  , libghc6-gtk-dev (>= 0.11)
  , libghc6-gtk-dev (<< 0.12)
#  , libghc6-gtk-prof
  , libgtksourceview2.0-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
  , libghc6-glib-doc
  , libghc6-cairo-doc
  , libghc6-pango-doc
  , libghc6-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/gtksourceview2
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtksourceview2
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtksourceview2

Package: libghc6-gtksourceview2-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtksourceview2.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GtkSourceView library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.

# Package: libghc6-gtksourceview2-prof
# Architecture: any
# Depends: ${haskell:Depends}
#   , ${misc:Depends}
# Recommends: ${haskell:Recommends}
# Suggests: ${haskell:Suggests}
# Provides: ${haskell:Provides}
# Description: Binding to the GtkSourceView library; profiling libraries
#  This package provides a library for the Haskell programming language,
#  compiled for profiling.
#  See http://www.haskell.org/ for more information on Haskell.
#  .
#  GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
#  GtkTextView. It improves GtkTextView by implementing syntax highlighting and
#  other features typical of a source editor.

Package: libghc6-gtksourceview2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GtkSourceView library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.

## haskell-gtksourceview2 0.12.2

=== debian/changelog ===
haskell-gtksourceview2 (0.12.2-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Nov 2011 08:41:30 +0000

haskell-gtksourceview2 (0.12.2-1build1) oneiric; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Jun 2011 11:47:35 +0100

haskell-gtksourceview2 (0.12.2-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Reenable profiling package

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 13:52:18 +0530

=== debian/control ===
Source: haskell-gtksourceview2
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-gtk-dev (>= 0.12)
  , libghc-gtk-dev (<< 0.13)
  , libghc-gtk-prof
  , libgtksourceview2.0-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-cairo-doc
  , libghc-pango-doc
  , libghc-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/gtksourceview2
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtksourceview2
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtksourceview2

Package: libghc-gtksourceview2-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtksourceview2.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GtkSourceView library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.

Package: libghc-gtksourceview2-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GtkSourceView library; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.

Package: libghc-gtksourceview2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GtkSourceView library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.

## haskell-gtksourceview2 0.12.3

=== debian/changelog ===
haskell-gtksourceview2 (0.12.3-1build1) quantal; urgency=low

  * No change rebuild for GHC 7.4.2

 -- Iulian Udrea <iulian@ubuntu.com>  Thu, 30 Aug 2012 21:14:31 +0100

haskell-gtksourceview2 (0.12.3-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Feb 2012 22:45:17 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,6 @@
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
   , libghc-glib-doc
-  , libghc-cairo-doc
-  , libghc-pango-doc
   , libghc-gtk-doc
 Standards-Version: 3.8.4
 Homepage: http://hackage.haskell.org/package/gtksourceview2

## haskell-gtksourceview2 0.12.3.1

=== debian/changelog ===
haskell-gtksourceview2 (0.12.3.1-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:19 +0200

haskell-gtksourceview2 (0.12.3.1-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:46 +0200

haskell-gtksourceview2 (0.12.3.1-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 02 Dec 2012 21:55:56 +0100

haskell-gtksourceview2 (0.12.3-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:27 +0200

=== debian/control ===
Source: haskell-gtksourceview2
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-gtk-dev (>= 0.12)
  , libghc-gtk-dev (<< 0.13)
  , libghc-gtk-prof
  , libgtksourceview2.0-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-gtk-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/gtksourceview2
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtksourceview2
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-gtksourceview2

Package: libghc-gtksourceview2-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libgtksourceview2.0-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GtkSourceView library${haskell:ShortBlurb}
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 ${haskell:Blurb}

Package: libghc-gtksourceview2-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the GtkSourceView library${haskell:ShortBlurb}
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 ${haskell:Blurb}

Package: libghc-gtksourceview2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the GtkSourceView library${haskell:ShortBlurb}
 GtkSourceView is a text widget that extends the standard GTK+ 2.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|gtksourceview2-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/gtksourceview2 \
    ([\d\.]*\d)/

## haskell-gtksourceview2 0.13.1.1

=== debian/changelog ===
haskell-gtksourceview2 (0.13.1.1-3build3) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jul 2015 09:45:43 +0100

haskell-gtksourceview2 (0.13.1.1-3build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 04 Jul 2015 20:31:07 +0100

haskell-gtksourceview2 (0.13.1.1-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Jun 2015 15:58:23 +0100

haskell-gtksourceview2 (0.13.1.1-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Apr 2015 13:02:55 +0200

haskell-gtksourceview2 (0.13.1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:03 +0200

haskell-gtksourceview2 (0.13.1.1-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 19:55:13 +0100

haskell-gtksourceview2 (0.12.3.1-4) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Fernando Seiti Furusato ]
  * Workaround unsetting bool to fix ftbfs on ppc64el. Patch by Colin Watson
    Closes: 767153

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Oct 2014 23:16:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,26 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
-  , libghc-glib-dev (>= 0.12)
-  , libghc-glib-dev (<< 0.13)
+  , libghc-glib-dev (>= 0.13)
+  , libghc-glib-dev (<< 0.14)
   , libghc-glib-prof
-  , libghc-gtk-dev (>= 0.12)
-  , libghc-gtk-dev (<< 0.13)
+  , libghc-gtk-dev (>= 0.13)
+  , libghc-gtk-dev (<< 0.14)
   , libghc-gtk-prof
+  , libghc-text-dev
+  , libghc-text-prof
   , libgtksourceview2.0-dev
-  , gtk2hs-buildtools
+  , gtk2hs-buildtools (>= 0.13.0.3)
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc
   , libghc-glib-doc
   , libghc-gtk-doc
+  , libghc-text-doc
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/gtksourceview2
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-gtksourceview2
